Fetch Mobility Group Calendar Summary

Fetch Mobility Group Calendar Summary
Fetch mobility group calendar summary

Fetch mobility group calendar summary

Request
URI
POST
https://{server}/hybridity/api/mobility/groups/calendar/query
COPY
Request Body

Mobility group calendar query object

mobilityGroupCalendarQueryRequest of type(s) application/json
Required
{
    "filter": {
        "migrationWaveId": "string",
        "mobilityGroupIds": [
            "string"
        ],
        "timeRange": {
            "startTime": 0,
            "endTime": 0
        }
    },
    "pageParameters": {
        "pageSize": 0,
        "pageNumber": 0
    }
}
object
filter
Optional

filter

object
pageParameters
Optional

pageParameters

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns mobilityGroupCalendarQueryResponse of type(s) application/json
{
    "items": [
        {
            "id": "string",
            "groupCreationTime": "string",
            "status": "string",
            "groupStartTime": "string",
            "scheduleTransferStartTime": "string",
            "scheduleTransferExpiryTime": "string",
            "transferStartTime": "string",
            "transferLastUpdatedTime": "string",
            "scheduleSwitchoverStartTime": "string",
            "scheduleSwitchoverExpiryTime": "string",
            "switchoverStartTime": "string",
            "switchoverLastUpdatedTime": "string",
            "groupCompletionTime": "string"
        }
    ],
    "pageParameters": {
        "pageSize": 0,
        "pageNumber": 0,
        "totalPages": 0,
        "totalElements": 0
    },
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
items
Optional

items

object
pageParameters
Optional

pageParameters

array of object
errors
Optional

errors


400

Bad Request

Operation doesn't return any data structure

401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/mobility/groups/calendar/query